cascading.stats.tez

## Class TezStepStats

- java.lang.Object
- - cascading.stats.CascadingStats<FlowNodeStats>
  - - cascading.stats.FlowStepStats
    - - cascading.stats.BaseCachedStepStats<org.apache.hadoop.conf.Configuration,org.apache.tez.dag.api.client.DAGClient,org.apache.tez.common.counters.TezCounters>
      - - cascading.stats.tez.TezStepStats

- All Implemented Interfaces:
    ProvidesCounters, Serializable

      public abstract class TezStepStats
      extends BaseCachedStepStats<org.apache.hadoop.conf.Configuration,org.apache.tez.dag.api.client.DAGClient,org.apache.tez.common.counters.TezCounters>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.stats.CascadingStats

      `CascadingStats.Status, CascadingStats.Type`

  - ### Field Summary

    - ### Fields inherited from class cascading.stats.BaseCachedStepStats

      `counterCache`

    - ### Fields inherited from class cascading.stats.CascadingStats

      `clientState, finishedTime, lastCaptureDetail, listeners, name, pendingTime, runTime, startTime, STATS_COMPLETE_CHILD_DETAILS_BLOCK_DURATION, STATS_STORE_INTERVAL, status, submitTime, throwable, throwableTrace`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TezStepStats(FlowStep flowStep, ClientState clientState)` Constructor CascadingStats creates a new CascadingStats instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `captureDetail(CascadingStats.Type depth)` Method captureDetail captures statistics task details and completion events.

    - ### Methods inherited from class cascading.stats.BaseCachedStepStats

      `cachedCounters, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCounterValue, getCounterValue, getJobStatusClient, getLastSuccessfulCounterFetchTime, recordChildStats`

    - ### Methods inherited from class cascading.stats.FlowStepStats

      `addNodeStats, getChildren, getChildWith, getFlowNodeIDs, getFlowNodeStats, getFlowNodeStatsMap, getFlowStep, getID, getNodesCount, getProcessLogger, getProcessStatusURL, getProcessStepID, getType, hasCapturedFinalDetail, recordInfo, toString`

    - ### Methods inherited from class cascading.stats.CascadingStats

      `addListener, captureDetail, cleanup, fireListeners, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getPrefix, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, getThrowableTrace, isDetailStale, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, logDebug, logError, logError, logInfo, logWarn, markDetailCaptured, markFailed, markFailed, markFailed, markFailed, markFinishedTime, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, removeListener, setStatsStoreInterval`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TezStepStats

          protected TezStepStats(FlowStep flowStep,
                      ClientState clientState)

      Constructor CascadingStats creates a new CascadingStats instance.
      Parameters:
        `flowStep` -
        `clientState` -

  - ### Method Detail

    - #### captureDetail

          public void captureDetail(CascadingStats.Type depth)

      Method captureDetail captures statistics task details and completion events.
      Specified by:
        `captureDetail` in class `CascadingStats<FlowNodeStats>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.